Bug 114924 - "ccm get --all" doesn't
"ccm get --all" doesn't
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: dev environment (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-04 11:35 EST by Vadim Nasardinov
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-03 14:45:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadim Nasardinov 2004-02-04 11:35:06 EST
If you run
|$ ccm get --all

you might expect to see a list of all configurable parameters.

The current situation is that "ccm get --all" does not get all.
For example,

|$ ccm get --all | grep -c transformer
|0
|$ find core/src/ -name \*.java | xargs grep "waf." | grep transformer
|core/src/com/arsdigita/util/xml/XMLConfig.java:            ("waf.xml.xsl_transformer",


So, if I want to sent the "waf.xml.xsl_transformer" parameter, and the
only thing I vaguely remember about it that it part of its name is the
substring "transformer", I won't find it listed among available
parameters by doing "ccm get --all".  Not only that, but also

|$ ccm get waf.xml.xsl_transformer

produces not output, instead of saying something like
"waf.xml.xsl_transformer is not set".
Comment 1 Vadim Nasardinov 2005-08-03 14:45:24 EDT
slate

Note You need to log in before you can comment on or make changes to this bug.